﻿/*
Easter Search
Copyright (c) 2011-2012 Blazing Games Inc.
Code written by Billy D. Spelchan

This program is free software; you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by the Free Software 
Foundation; either version 2 of the License, or (at your option) any later 
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package  {
	
	import flash.display.MovieClip;
	
	/**
	 * Generates random easter eggs for my easter game using movieclips for image.
	*/
	public class Egg 
	extends MovieClip
	{
		// extern 	back_movie
		// extern	mask_movie
		// extern 	pattern_movie
		
// ***** CONSTANTS *****

		public static const NUM_COLORS:int = 12;
		public static const NUM_PATTERNS:int = 12;
		
// ***** VARIABLES *****

		public var backColor:int;
		public var foreColor:int;
		public var pattern:int;
		
// ***** CONSTRUCTOR *****
		public function Egg() {
			super();
			randomEgg();
		}

// ***** METHODS - Egg manipulation *****
		
		public function randomEgg()
		{
			var b:int = Math.floor(Math.random()*NUM_COLORS);
			var f:int = Math.floor(Math.random()*NUM_COLORS);
			var p:int = Math.floor(Math.random()*NUM_PATTERNS);
			setEgg(b,f,p);
		}
		
		public function cloneEgg(egg:Egg)
		{
			setEgg(egg.backColor, egg.foreColor, egg.pattern);
		}
		
		public function setEgg(b:int, f:int, p:int)
		{
			backColor = b;
			foreColor = f;
			pattern = p;
			
			back_movie.gotoAndStop(b+2);
			mask_movie.gotoAndStop(f+2);
			pattern_movie.gotoAndStop(p+2);
		}
	}
	
}
